Realtime Kit

RealtimeKit

Realtime Kit

Active Session

RealtimeKit.ActiveSession

Methods

getActiveSession(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session

Returns details of an ongoing active session for the given meeting ID.

kickParticipants(, , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick

Kicks one or more participants from an active session using user ID or custom participant ID.

kickAllParticipants(, , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick-all

Kicks all participants from an active session for the given meeting ID.

createPoll(, , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/poll

Creates a new poll in an active session for the given meeting ID.

Realtime Kit

Analytics

RealtimeKit.Analytics

Methods

getOrgAnalytics(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/analytics/daywise

Returns day-wise session and recording analytics data of an App for the specified time range start_date to end_date. If start_date and end_date are not provided, the default time range is set from 30 days ago to the current date.

RealtimeKit.Apps

Methods

get(, ):
get/accounts/{account_id}/realtime/kit/apps

Fetch all apps for your account

post(, ):
post/accounts/{account_id}/realtime/kit/apps

Create new app for your account

Realtime Kit

Livestreams

RealtimeKit.Livestreams

Methods

createIndependentLivestream(, , ):
post/accounts/{account_id}/realtime/kit/{app_id}/livestreams

Creates a livestream for the given App ID and returns ingest server, stream key, and playback URL. You can pass custom input to the ingest server and stream key, and freely distribute the content using the playback URL on any player that supports HLS/LHLS.

getAllLivestreams(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/livestreams

Returns details of livestreams associated with the given App ID. It includes livestreams created by your App and RealtimeKit meetings that are livestreamed by your App. If you only want details of livestreams created by your App and not RealtimeKit meetings, you can use the exclude_meetings query parameter.

stopLivestreamingAMeeting(, , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream/stop

Stops the active livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the Create a meeting API.

startLivestreamingAMeeting(, , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/livestreams

Starts livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the Create a meeting API.

getLivestreamAnalyticsComplete(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/overall

Returns livestream analytics for the specified time range.

getOrgAnalytics(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/analytics/daywise

Returns day-wise session and recording analytics data of an App for the specified time range start_date to end_date. If start_date and end_date are not provided, the default time range is set from 30 days ago to the current date.

getMeetingActiveLivestreams(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream

Returns details of all active livestreams for the given meeting ID.

getLivestreamSessionDetailsForSessionId(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/livestreams/sessions/{livestream-session-id}

Returns livestream session details for the given livestream session ID. Retrieve the livestream_session_idusing the Fetch livestream session details using a session ID API.

getActiveLivestreamsForLivestreamId(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/livestreams/{livestream_id}/active-livestream-session

Returns details of all active livestreams for the given livestream ID. Retreive the livestream ID using the Start livestreaming a meeting API.

getLivestreamSessionForLivestreamId(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/livestreams/{livestream_id}

Returns details of a livestream with sessions for the given livestream ID. Retreive the livestream ID using the Start livestreaming a meeting API.

Realtime Kit

Meetings

RealtimeKit.Meetings

Methods

get(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/meetings

Returns all meetings for the given App ID.

create(, , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings

Create a meeting for the given App ID.

getMeetingById(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}

Returns a meeting details in an App for the given meeting ID.

updateMeetingById(, , , ):
patch/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}

Updates a meeting in an App for the given meeting ID.

replaceMeetingById(, , , ):
put/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}

Replaces all the details for the given meeting ID.

getMeetingParticipants(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants

Returns all participants detail for the given meeting ID.

addParticipant(, , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants

Adds a participant to the given meeting ID.

getMeetingParticipant(, , , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Returns a participant details for the given meeting and participant ID.

editParticipant(, , , , ):
patch/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Updates a participant's details for the given meeting and participant ID.

deleteMeetingParticipant(, , , , ):
delete/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Deletes a participant for the given meeting and participant ID.

refreshParticipantToken(, , , , ):
post/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}/token

Regenerates participant's authentication token for the given meeting and participant ID.

RealtimeKit.Presets

Methods

get(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/presets

Fetches all the presets belonging to an App.

create(, , ):
post/accounts/{account_id}/realtime/kit/{app_id}/presets

Creates a preset belonging to the current App

getPresetById(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/presets/{preset_id}

Fetches details of a preset using the provided preset ID

delete(, , , ):
delete/accounts/{account_id}/realtime/kit/{app_id}/presets/{preset_id}

Deletes a preset using the provided preset ID

update(, , , ):
patch/accounts/{account_id}/realtime/kit/{app_id}/presets/{preset_id}

Update a preset by the provided preset ID

Realtime Kit

Recordings

RealtimeKit.Recordings

Methods

getRecordings(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/recordings

Returns all recordings for an App. If the meeting_id parameter is passed, returns all recordings for the given meeting ID.

startRecordings(, , ):
post/accounts/{account_id}/realtime/kit/{app_id}/recordings

Starts recording a meeting. The meeting can be started by an App admin directly, or a participant with permissions to start a recording, based on the type of authorization used.

getActiveRecordings(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/recordings/active-recording/{meeting_id}

Returns the active recording details for the given meeting ID.

getOneRecording(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/recordings/{recording_id}

Returns details of a recording for the given recording ID.

pauseResumeStopRecording(, , , ):
put/accounts/{account_id}/realtime/kit/{app_id}/recordings/{recording_id}

Pause/Resume/Stop a given recording ID.

startTrackRecording(, , ): void
post/accounts/{account_id}/realtime/kit/{app_id}/recordings/track

Starts a track recording in a meeting. Track recordings consist of "layers". Layers are used to map audio/video tracks in a meeting to output destinations. More information about track recordings is available in the Track Recordings Guide Page.

Realtime Kit

Sessions

RealtimeKit.Sessions

Methods

getSessions(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions

Returns details of all sessions of an App.

getSessionDetails(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}

Returns data of the given session ID including recording details.

getSessionParticipants(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/participants

Returns a list of participants for the given session ID.

getSessionParticipantDetails(, , , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/participants/{participant_id}

Returns details of the given participant ID along with call statistics for the given session ID.

getSessionChat(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/chat

Returns a URL to download all chat messages of the session ID in CSV format.

getSessionTranscripts(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/transcript

Returns a URL to download the transcript for the session ID in CSV format.

getSessionSummary(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Returns a Summary URL to download the Summary of Transcripts for the session ID as plain text.

generateSummaryOfTranscripts(, , , ): void
post/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Trigger Summary generation of Transcripts for the session ID.

getParticipantDataFromPeerId(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/sessions/peer-report/{peer_id}

Returns details of the given peer ID along with call statistics for the given session ID.

Realtime Kit

Webhooks

RealtimeKit.Webhooks

Methods

getWebhooks(, , ):
get/accounts/{account_id}/realtime/kit/{app_id}/webhooks

Returns details of all webhooks for an App.

createWebhook(, , ):
post/accounts/{account_id}/realtime/kit/{app_id}/webhooks

Adds a new webhook to an App.

getWebhookById(, , , ):
get/accounts/{account_id}/realtime/kit/{app_id}/webhooks/{webhook_id}

Returns webhook details for the given webhook ID.

replaceWebhook(, , , ):
put/accounts/{account_id}/realtime/kit/{app_id}/webhooks/{webhook_id}

Replace all details for the given webhook ID.

editWebhook(, , , ):
patch/accounts/{account_id}/realtime/kit/{app_id}/webhooks/{webhook_id}

Edits the webhook details for the given webhook ID.

deleteWebhook(, , , ):
delete/accounts/{account_id}/realtime/kit/{app_id}/webhooks/{webhook_id}

Removes a webhook for the given webhook ID.